Program RCON;

 Uses
   Crt, Dos, Printer, ms_mouse;

procedure hidekcursor ;
var regpack : registers ;  (* register list for interrupt call *)
begin
   with regpack do            (* set up for interrupt *)
      begin
         ax := $0100 ;        (* function 1 = set cursor type      *)
         cx := $1000 ;        (* CH = start line and CL = end line *)
      end;
   intr ($10,regpack) ;       (* call video interrupt routine *)
end ;   (* hidecursor *)

procedure restorekcursor ;
var regpack : registers ;  (* register list for interrupt call *)
begin
   with regpack do            (* set up for interrupt *)
      begin
         ax := $0100 ;        (* function 1 = set cursor type      *)
         cx := $0007 ;        (* CH = start line and CL = end line *)
      end;
   intr ($10,regpack) ;       (* call video interrupt routine *)
end ;   (* restorecursor *)

 Procedure InitMainScreen;
  Var
    X,Y:Integer;
  Begin
   ClrScr;
   If Not mouse_present Then
      begin
         WriteLn('Microsoft Mouse driver/hardware not present');
         Halt(1);
      End;
   TextColor(8);
   TextBackground(Blue);
   For Y:= 1 To 25 Do
    Begin
     For X:= 1 To 80 Do Write('');
    End;
   TextColor(2);
   GotoXY(1,1);
   Write('            K. C. Technical - External Device Control Program                   ');
   position_cursor(0,0);
   hidekcursor;
   show_cursor;
  End;

 Begin
  InitMainScreen;
  ReadLn;
 End.
