Program TANKPRO;

 Uses
   Crt,Graph;

 Var
   KP:Char;
   X,Y,SMISSLE,BMISSLE,BNUKE,NUKE:Integer;
   P:Pointer;
   Size:Word;

 Procedure InitGraphics;
  Var
    DR,MO:Integer;
  Begin
    DR:=Detect;
    InitGraph(DR,MO,'');
  End;

 function IntToStr(I: Longint): String;
  { Convert any integer type to a string }
 var
  S: string[11];
 begin
  Str(I, S);
  IntToStr := S;
 end;

 Procedure ETank(X,Y:Integer);
  Begin
   SetColor(0);
   {SetFillStyle(0,1);}
   Rectangle(X-24,Y-24,X+24,Y+24);
   {FloodFill(X,Y,0);
   FloodFill(X,Y,0);}
  End;

 Procedure Init_Tank(X,Y:Integer);
  Begin
   SetColor(8);
   Rectangle(X-20,Y-20,X+20,Y+20);
   SetFillStyle(6,6);
   FloodFill(X,Y,8);
   SetColor(7);
   Rectangle(X-8,Y-8,X+8,Y+8);
   SetFillStyle(7,4);
   FloodFill(X,Y,7);
   GetMem(P, Size);   { Allocate memory on heap }
   GetImage(X-20,Y-20,X+20,Y+20, P^);
  End;

 Procedure Draw_Data(C:Word);
  Var
    SM,BM,BN,N:String;
    SM2,BM2,BN2,N2:String;
  Begin
   SM:=IntToStr(SMISSLE);
   BM:=IntToStr(BMISSLE);
   BN:=IntToStr(BNUKE);
   N:=IntToStr(NUKE);
   SetTextStyle(DefaultFont, HorizDir, 1);   { CharSize = 1 }
   SetTextJustify(LeftText, TopText);
   SetColor(C);
   MoveTo(8,8);
   OutText('Small Missle(s): '+SM);     { CP is updated }
   MoveTo(8,18);
   OutText('Big Missle(s):   '+BM);
   MoveTo(8,28);
   OutText('Baby Nuke(s):    '+BN);
   MoveTo(8,38);
   OutText('Nuke(s):         '+N);
  End;

 Procedure Draw_Tank(X,Y:Integer);
 Begin
 PutImage(X+20,Y+20,P^,NormalPut);
 End;

 Procedure Fire(R,X,Y:Integer);
  Var
    I:Integer;

  Begin
   Draw_Data(Black);
   Case R Of
     20:SMISSLE:=SMISSLE-1;
     40:BMISSLE:=BMISSLE-1;
     60:BNUKE:=BNUKE-1;
    100:NUKE:=NUKE-1;
   End;
   If ((R=20) And (SMISSLE >= 0)) Or ((R=40) And (BMISSLE >= 0)) Or ((R=60) And (BNUKE >= 0)) Or ((R=100) And (NUKE >= 0)) Then
   Begin
   For I:=400 Downto 310 Do
    Begin
     Sound(I);
     Delay(20);
    End;

   Nosound;
   Delay(200);

   For I:=1 To R Do
    Begin
     Sound(300);
     SetColor(12);
     Circle(X,Y,I);
     Delay(20);
    End;

   For I:=R DownTo 1 Do
    Begin
     Sound(200);
     SetColor(Black);
     Circle(X,Y,I);
     Delay(20);
    End;
   NoSound;
   End;
   Draw_Data(12);
  End;

{  Procedure Draw_Targets;
  Begin}


 Begin
 Nosound;
 InitGraphics;
 X:=200; Y:=200;
 SMISSLE:=8; BMISSLE:=6; BNUKE:=4; NUKE:=2;
 Draw_Data(12);
 Init_Tank(X,Y);
 While KP <> Chr(27) Do
  Begin
   KP:=ReadKey;
    Draw_Data(Black);
    Case KP Of
     '4':Begin ETank(X,Y); X:=X-1; End;
     '6':Begin ETank(X,Y); X:=X+1; End;
     '8':Begin ETank(X,Y); Y:=Y-1; End;
     '2':Begin ETank(X,Y); Y:=Y+1; End;
     '7':Begin ETank(X,Y); X:=X-1; Y:=Y-1; End;
     '9':Begin ETank(X,Y); X:=X+1; Y:=Y-1; End;
     '1':Begin ETank(X,Y); X:=X-1; Y:=Y+1; End;
     '3':Begin ETank(X,Y); X:=X+1; Y:=Y+1; End;
     '0':Fire(20,X,Y);
     '.':Fire(40,X,Y);
     '+':Fire(60,X,Y);
     '-':Fire(100,X,Y);
    End;
   Draw_Data(12);
   {Draw_Targets;}
   Draw_Tank(X,Y);
  End;

 CloseGraph;
 End.
