{*****************************}
{*                           *}
{* Track Paint 1.0           *}
{*                           *}
{* Track Software            *}
{*                           *}
{* Written by:               *}
{* Derek Konigsberg          *}
{*                           *}
{*****************************}
Program TRKPNT10;

Uses
   Crt,Graph,ms_mouse;

var
  Driver, Mode, TestDriver,
  ErrCode  : Integer;
  I,J:Integer;
  CH:Char;

{$F+}
function TestDetect : Integer;
{ Autodetect function. Assume hardware is
  always present. Return value = recommended
  default mode. }
begin
  TestDetect := 1;
end;
{$F-}
Procedure Init;
 Begin
  { Install the driver }
  TestDriver :=
    InstallUserDriver('VGA256', @TestDetect);
  if GraphResult <> grOk then
  begin
    WriteLn('Error installing TestDriver');
    Halt(1);
  end;
  Driver := Detect;
  InitGraph(Driver, Mode, '');
  ErrCode := GraphResult;
  if ErrCode <> grOk then
  begin
    WriteLn('Error during Init: ', ErrCode);
    Halt(1);
  end;
  J:=1;
  CH:=' ';
  For I:= 1 To 256 Do
   Begin
    Inc(J);
    SetColor(I);
    Line(J,12,J,20);
    If J > 640 Then J:= 1;
   End;
  SetFillStyle(1,7);
  Bar(0,0,320,10);
  show_cursor;
 End;

Begin
 Init;
 ReadLn;
 CloseGraph;
End.